% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{CHPbootCV}
\alias{CHPbootCV}
\title{Bootstrap critical values for CHP 2014 parameter stability test}
\usage{
CHPbootCV(mdl, rho_b, N, msvar)
}
\arguments{
\item{mdl}{List containing model attributes (see \code{\link{ARmdl}}).}

\item{rho_b}{Number determining bounds for distribution of \code{rh0} (i.e. \code{rho} ~ \code{[-rho_b,rho_b]}).}

\item{N}{Number of bootstrap simulations.}

\item{msvar}{Boolean indicator. If \code{TRUE}, there is a switch in variance. If \code{FALSE} only switch in mean is considered.}
}
\value{
Bootstrap critical values
}
\description{
This bootstrap procedure is described on pg. 771 of CHP 2014.
}
\references{
Carrasco, Marine, Liang Hu, and Werner Ploberger. 2014. “Optimal 
test for Markov switching parameters.” \emph{Econometrica} 82 (2): 765–784.
}
