% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{ExpectationM_MSVARXmdl}
\alias{ExpectationM_MSVARXmdl}
\title{Markov-switching VARX log-likelihood function}
\usage{
ExpectationM_MSVARXmdl(theta, mdl, k)
}
\arguments{
\item{theta}{Vector of model parameters.}

\item{mdl}{List with model attributes.}

\item{k}{Integer determining the number of regimes.}
}
\value{
List which includes log-likelihood and smoothed probabilities of each regime.
}
\description{
This function computes the log-likelihood for a markov-switching VARX model and uses the Hamilton smoother to obtain smoothed probabilities of each state. This is also the expectation step in the Expectation Maximization algorithm for a Markov-switching autoregressive model.
}
\keyword{internal}
