% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{LR_samp_dist}
\alias{LR_samp_dist}
\title{Likelihood Ratio Test Statistic Sample Distribution}
\usage{
LR_samp_dist(mdl_h0, k1, N, burnin, Z, mdl_h0_control, mdl_h1_control)
}
\arguments{
\item{mdl_h0}{List with restricted model properties.}

\item{k1}{integer specifying the number of regimes under the alternative hypothesis.}

\item{N}{integer specifying the number of replications.}

\item{burnin}{integer specifying the number of observations to drop from beginning of simulation.}

\item{mdl_h0_control}{List with controls/options used to estimate restricted model.}

\item{mdl_h1_control}{List with controls/options used to estimate unrestricted model.}
}
\value{
vector of simulated LRT statistics
}
\description{
This function simulates the sample distribution under the null hypothesis.
}
\references{
Rodriguez Rondon, Gabriel and Jean-Marie Dufour. 2022. "Simulation-Based Inference for Markov Switching Models” \emph{JSM Proceedings, Business and Economic Statistics Section: American Statistical Association}.

Rodriguez Rondon, Gabriel and Jean-Marie Dufour. 2022. “Monte Carlo Likelihood Ratio Tests for Markov Switching Models.” \emph{Unpublished manuscript}.
}
\keyword{internal}
