% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{MSVARXmdl_em}
\alias{MSVARXmdl_em}
\title{Estimation of Markov-switching VARX model by EM Algorithm}
\usage{
MSVARXmdl_em(theta_0, mdl, k, optim_options)
}
\arguments{
\item{theta_0}{vector with initial values for parameters.}

\item{mdl}{List with model attributes.}

\item{k}{Integer determining the number of regimes.}

\item{optim_options}{List with optimization options.}
}
\value{
List with model results.
}
\description{
Estimate Markov-switching VARX model by EM algorithm. This function is used by \code{\link{MSVARmdl}} which organizes the output and takes raw data as input.
}
\references{
Dempster, A. P., N. M. Laird, and D. B. Rubin. 1977. “Maximum Likelihood from Incomplete Data via the EM Algorithm.” \emph{Journal of the Royal Statistical Society}. Series B 39 (1): 1–38.

Krolzig, Hans-Martin. 1997. “The markov-switching vector autoregressive model.”. Springer.
}
\keyword{internal}
