% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helperfuncs.R
\name{MSVARmdl_mle}
\alias{MSVARmdl_mle}
\title{Markov-switching vector autoregressive maximum likelihood estimation}
\usage{
MSVARmdl_mle(theta_0, mdl_in, k, optim_options)
}
\arguments{
\item{theta_0}{vector containing initial values to use in optimization}

\item{mdl_in}{List with model properties (can be obtained from estimating linear model i.e., using \code{\link{VARmdl}})}

\item{k}{integer determining the number of regimes}

\item{optim_options}{List containing 
\itemize{
 \item maxit: maximum number of iterations.
 \item thtol: convergence criterion.
}}
}
\value{
List with model attributes
}
\description{
This function computes estimate a Markov-switching vector autoregressive model using MLE.
}
\keyword{internal}
