% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{hamilton84GNP}
\alias{hamilton84GNP}
\title{Hamilton 1984 & Hansen 1992 GNP data}
\format{
\describe{This data set is used in Hansen (1992) to test the US GNP model proposed by 
Hamilton (1989). This series ranges from 1951Q2 to 1984Q4. 
  \item{Date}{Vector of dates}
  \item{GNP}{US GNP series}
  \item{GNP_gr}{US GNP log difference}
}
}
\source{
\url{https://www.ssc.wisc.edu/~bhansen/progs/jae_92.html}
}
\usage{
hamilton84GNP
}
\description{
Hamilton 1984 & Hansen 1992 GNP data
}
\references{
Hansen, Bruce E. 1992. “The likelihood ratio test under nonstandard conditions: testing the Markov switching model of GNP.” \emph{Journal of applied Econometrics} 7 (S1): S61–S82.

Hamilton, James D. 1989. “A new approach to the economic analysis of nonstationary time series and the business cycle.” \emph{Econometrica} 57 (2): 357–384.
}
\keyword{datasets}
