% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{paramList_MSVARXmdl}
\alias{paramList_MSVARXmdl}
\title{Parameter list for Markov-switching VARX model}
\usage{
paramList_MSVARXmdl(theta, q, p, k, qz, msmu, msvar)
}
\arguments{
\item{theta}{Vector of parameters.}

\item{q}{Number of time series.}

\item{p}{Number of autoregressive lags.}

\item{k}{Number of regimes.}

\item{qz}{Number of exogenous variables.}

\item{msmu}{Boolean indicating if the mean switches with regime.}

\item{msvar}{Boolean indicating if the variance switches with regime.}
}
\value{
List with the mean, variance, transition matrix, limiting probabilities, and a vector of state indicators.
}
\description{
This function takes the parameter vector of interest and converts it to a list with specific parameter vectors needed for multivariate Markov-switching functions.
}
\keyword{internal}
