% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{simuAR_cpp}
\alias{simuAR_cpp}
\title{Simulate autoregressive process}
\usage{
simuAR_cpp(mdl_h0, burnin = 100L)
}
\arguments{
\item{mdl_h0}{List containing the following DGP parameters
\itemize{
  \item n: Length of series.
  \item mu: Mean of process.
  \item sigma: variance of process.
  \item phi: Vector of autoregressive coefficients.
  \item eps: An optional (\code{T+burnin x q}) matrix with standard normal errors to be used. Errors will be generated if not provided.
}}

\item{burnin}{Number of simulated observations to remove from beginning. Default is \code{100}.}
}
\value{
List with simulated autoregressive series and its DGP parameters.
}
\description{
This function simulates an autoregresive process.
}
\keyword{internal}
